You are here

Wordpress broke something

With release 3.2.1, using mini_sendmail on a chrooted Apache on OpenBSD was suddenly broken. With the following error message in the log being the only result of trying to send mail: usage: /bin/mini_sendmail [-f] [-t] [-s<server>] [-p<port>] [-T<timeout>] [-v] [address ...] This caused me a bit of a headache at first, but the answer was out there - if not entirely easy to find. As usual, the changelog held the indirect answer: "Ticket 5007 Email notifications fail on hosted sites that check sender address". The answer to my problem was found a bit down on that page, comment out line 228 in wp-includes/pluggable.php as it really breaks compatibility with mini_sendmail.